-- A2E4822A98337283E39F7B60ACF85EC9

CREATE OR ALTER procedure UPDATE_DATE_KARTA (
    IDK integer)
as
declare variable D2 date;
declare variable FK FIO;
declare variable IK FIO;
declare variable OK FIO;
declare variable DK date;
begin
  select min(K.DATE_OK)
  from KARTA_USL K
  inner join USL U on U.ID = K.ID_USL
  where (U.USL_CODE = '0404702') and
        (K.ID_KARTA = :IDK)
  into :D2;

  update KARTA K
  set K.DATE_2 = :D2
  where (K.ID = :IDK) and
        (K.STAGE = 1);

  select min(K.DATE_OK)
  from KARTA_USL K
  inner join USL U on U.ID = K.ID_USL
  where (U.USL_CODE = '0131009') and
        (K.ID_KARTA = :IDK)
  into :D2;

  update KARTA K
  set K.DATE_1 = :D2
  where (K.ID = :IDK) and
        (K.STAGE = 1);

  select min(K.DATE_OK)
  from KARTA_USL K
  inner join USL U on U.ID = K.ID_USL
  where (U.USL_CODE = '0104701') and
        (K.ID_KARTA = :IDK)
  into :D2;

  update KARTA K
  set K.DATE_2 = :D2
  where (K.ID = :IDK) and
        (K.STAGE = 2);

  select K.FAM, K.IM, K.OT, K.DR
  from KARTA K
  where K.ID = :IDK
  into :FK, :IK, :OK, :DK;

  select K.DATE_2
  from KARTA K
  where ((upper(K.FAM collate PXW_CYRL) = :FK) and
        (upper(K.IM collate PXW_CYRL) = :IK) and
        (upper(K.OT collate PXW_CYRL) = :OK) and
        (K.DR = :DK))
  into :D2;

  update KARTA K
  set K.DATE_1 = :D2
  where (K.ID = :IDK) and
        (K.STAGE = 2);
end;
@

delete from SMO S
where (S.INN is null) and
      (S.KPP is null);
@