-- A2E4822A98337283E39F7B60ACF85EC9

CREATE OR ALTER procedure BUILD_REPORT (
    D1 date not null,
    D2 date not null)
returns (
    CSMO char(5),
    ST char(1),
    KOL integer)
as
begin
  for select K.SMO, K.STAGE, count(*)
      from KARTA K
      inner join SMO S on S.SMOCOD = K.SMO
      where (not K.DATE_1 is null) and
            (K.DATE_2 >= :D1) and
            (K.DATE_2 <= :D2) and
            (not K.MD5_HASH is null) and
            (not S.INN is null)
      group by K.SMO, K.STAGE
      order by K.SMO, K.STAGE
      into :CSMO, :ST, :KOL
  do
    suspend;

  for select K.STAGE, count(*)
      from KARTA K
      inner join SMO S on S.SMOCOD = K.SMO
      where (not K.DATE_1 is null) and
            (K.DATE_2 >= :D1) and
            (K.DATE_2 <= :D2) and
            (not K.MD5_HASH is null) and
            (S.INN is null)
      group by K.STAGE
      order by K.STAGE
      into :ST, :KOL
  do
  begin
    CSMO = '45000';
    suspend;
  end
end; 
@

DROP TABLE SPEZ;
@

DROP TABLE VRACHI;
@
